Bug 126511 - kacpid consumes 100% cpu when power source changes.
kacpid consumes 100% cpu when power source changes.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2004-06-22 13:37 EDT by Philip Heron
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-27 23:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philip Heron 2004-06-22 13:37:12 EDT
Description of problem:

When I change the power source on my Compaq Armada 7400 (from battery
to AC, etc..) kacpid begins to use 90%-100% of the CPU time. The
computer becomes very unresponsive and eventually locks up completly.

Version-Release number of selected component (if applicable):

I have tried with these two kernel versions, both have the problem:

kernel-2.6.5-1.358
kernel-2.6.6-1.435

How reproducible:

Everytime the AC is plugged in or removed.

Steps to Reproduce:

See above.

Actual results:

Computer slows down and eventually locks up.

Expected results:

It shouldn't crash.

Additional info:

This is on a Compaq Armada 7400 laptop. ACPI seems to work .. at least
it's reporting battery levels fine.
Comment 1 Anthony Richardella 2004-10-05 03:13:39 EDT
I'm getting the same problem at bootup. It doesn't always happen but
once out of every several bootups. I'm running a Gateway 600 with the
kernel-2.6.5-1.358 kernel.
Comment 2 maurice 2004-12-22 02:25:56 EST
We too are seeing this.
FC2 (current) with Tyan S2882 motherboards, Powerware 5125 UPS.
If ACPI is turned on in BIOS we see the exxtreme CPU use.
If ACPI in BIOS turned off, no problem.
However with ACPI turned off it is impossible to do poweroff and 
actually shut down the machine.
If not plugged into the UPS, then problem does not present.
Comment 3 Dave Jones 2005-01-14 00:17:01 EST
any improvement with the latest 2.6.10 updates ?
Comment 4 Dave Jones 2005-04-16 00:11:22 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 5 Philip Heron 2005-04-16 13:20:22 EDT
Sorry for the long delay in getting to this, the battery failed in my laptop so
I wasn't able to test anything. I got a new battery last weekend.

The problem is still there with FC3, with both the default kernel and the newest
update (kernel-2.6.11-1.14_FC3). kacpid will eat up all the processor time and
eventually the kernel will panic about having no memory left an no more
processes to kill.
Comment 6 Dave Jones 2005-07-15 13:46:22 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Philip Heron 2005-07-15 14:41:29 EDT
Fedora Core 4 kernel (default and latest == 2.6.12-1.1390_FC4) locks up hard
with no warning a few seconds after the power supply is inserted or removed. I
have FC3 on another drive and will test that with the updated kernel tonight.
Since it's probably the same bug, I'll change the version field.
Comment 8 Dave Jones 2005-07-15 17:09:07 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 9 Philip Heron 2005-08-04 19:43:29 EDT
Latest FC3 kernel 2.6.12-1.1372_FC3 is showing the same behaviour as FC4 now.
Machine locks up hard a second after the power supply changes.
Comment 10 Dave Jones 2005-09-30 02:15:27 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 11 Dave Jones 2005-11-10 14:12:48 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 12 Dave Jones 2005-12-27 23:42:34 EST
This bug has been mass-closed along with other bugs that have been in NEEDINFO
state for several months.

Due to the large volume of inactive bugs in bugzilla, this is the only method we
have of cleaning out stale bug reports where the reporter has disappeared.

If you can reproduce this bug after installing all the current updates, please
reopen this bug.

If you are not the reporter, you can add a comment requesting it be reopened,
and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.